# getRateLiquidityDepthByPair

This function is used to calculate the amount of liquidity that exists for a specific pair up to the specified exchange rate.&#x20;

```
public async getRateLiquidityDepthByPair(
    sourceToken: string,
    targetToken: string,
    rate: string
  )
```

<table><thead><tr><th width="160.33333333333331">Name</th><th>Type</th><th>Description</th></tr></thead><tbody><tr><td>sourceToken</td><td>token address</td><td>The token being sold.</td></tr><tr><td>targetToken</td><td>token address</td><td>The token being bought. </td></tr><tr><td>rate</td><td>string (number)</td><td>The number of target tokens per base token.</td></tr></tbody></table>

### Returns

This function returns a **string** with the amount of liquidity available at the specified rate.&#x20;


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.carbondefi.xyz/developer-guides/carbon-defi-sdk/sdk-functions/getrateliquiditydepthbypair.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
